posix_mknod
posix_seteuid
POSIX Functions
PHP Manual

# posix_setegid

Set the effective GID of the current process

### Description

bool posix_setegid ( int `$gid` )

Set the effective group ID of the current process. This is a privileged function and needs appropriate privileges (usually root) on the system to be able to perform this function.

### Parameters

`gid`

  The group id.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 posix_setegid example

This example will print out the effective group id, once changed.

`<?php
echo 'My real group id is '.posix_getgid(); //20
posix_setegid(40);
echo 'My real group id is '.posix_getgid(); //20
echo 'My effective group id is '.posix_getegid(); //40
?>`

### See Also

- posix_getgrgid
- posix_getgid
- posix_setgid